Query Scheduled Call Report List
Query the scheduled call report list.
Request URL
GET {base_url}/{api_path}/call_schedule_report/list?access_token={access_token}
Note: To enhance system performance, Cloud One has upgraded the CDR module in version 83.21.0.117 with a new data structure for clearer display and more comprehensive call details. The system gradually deletes old CDRs and related call report data according to the CDR Auto Cleanup setting.
Before old call report data are cleaned up, new and historical data are managed separately - openapi/v2.0 for new data and openapi/v1.0 for historical data. Make sure to use the appropriate API path based on the type of data that you want to retrieve.
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of scheduled reports. |
| data | Array<scheduled_reports> | The information of the scheduled reports. |
scheduled_reports
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the scheduled call report. |
| name | String | The name of the scheduled call report. |
| format | String | The file format of the scheduled call report. |
| date | String | The scheduled time of scheduled call report. |
| status | String | The sent status of the scheduled call report.
|
Examples
Request example
Important: Make sure to use the appropriate API path based on the type of report data that you want to retrieve.
- For new report data generated on version 83.21.0.117 or later, use openapi/v2.0.
- For legacy report data generated on version 83.21.0.66 or earlier, use openapi/v1.0.
GET /openapi/v2.0/call_schedule_report/list?access_token=jw9RB1zwQ5g6qnoceH8vztrnaOiYoZwN&sort_by=name&order_by=desc HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 6,
"data": [
{
"id": 6,
"name": "test-extension-report",
"format": "csv",
"date": "2022/04/12 19:19:38",
"status": "sent_success"
},
{
"id": 3,
"name": "Support",
"format": "csv",
"date": "2022/03/14 13:17:57",
"status": "sent_success"
},
{
"id": 5,
"name": "Support2",
"format": "csv",
"date": "2022/03/14 18:00:00",
"status": "sent_success"
},
{
"id": 4,
"name": "Sales",
"format": "csv",
"date": "2022/03/14 13:18:53",
"status": "sent_success"
},
{
"id": 1,
"name": "test1",
"format": "csv",
"date": "2022/01/06 19:31:11",
"status": "sent_success"
},
{
"id": 2,
"name": "test2",
"format": "csv",
"date": "2022/03/02 13:39:14",
"status": "sent_success"
}
]
}